/**
 * Check if a node is a *embedded content*.
 *
 * @type {import('hast-util-is-element').AssertPredicate<Element & {tagName: 'audio' | 'canvas' | 'embed' | 'iframe' | 'img' | 'math' | 'object' | 'picture' | 'svg' | 'video'}>}
 * @param value
 *   Thing to check (typically `Node`).
 * @returns
 *   Whether `value` is an element considered embedded content.
 *
 *   The elements `audio`, `canvas`, `embed`, `iframe`, `img`, `math`,
 *   `object`, `picture`, `svg`, and `video` are embedded content.
 */
export const embedded: import('hast-util-is-element').AssertPredicate<
  Element & {
    tagName:
      | 'audio'
      | 'canvas'
      | 'embed'
      | 'iframe'
      | 'img'
      | 'math'
      | 'object'
      | 'picture'
      | 'svg'
      | 'video'
  }
>
export type Element = import('hast').Element
