/**
 * Normalize a word for easier comparison.
 *
 * Always normalizes smart apostrophes (`’`) to straight apostrophes (`'`) and
 * lowercases alphabetical characters (`[A-Z]`).
 *
 * @param {string | Node | Array<Content>} value
 *   Word.
 * @param {Options | null | undefined} [options]
 *   Configuration.
 * @returns {string}
 *   Normalized word.
 */
export function normalize(
  value: string | Node | Array<Content>,
  options?: Options | null | undefined
): string
export type Root = import('nlcst').Root
export type Content = import('nlcst').Content
export type Node = Root | Content
/**
 * Configuration.
 */
export type Options = {
  /**
   * Do not strip hyphens (`-`).
   *
   * The default is to remove the hyphen-minus character.
   */
  allowDashes?: boolean | null | undefined
  /**
   * Do not strip apostrophes (`'`).
   *
   * The default is to remove apostrophes.
   */
  allowApostrophes?: boolean | null | undefined
}
